Index: code/trunk/src/audio/AudioPrereqs.h
===================================================================
--- code/trunk/src/audio/AudioPrereqs.h	(revision 1061)
+++ code/trunk/src/audio/AudioPrereqs.h	(revision 1062)
@@ -35,5 +35,5 @@
 #define _AudioPrereqs_H__
 
-#include "orxonox/OrxonoxPlatform.h"
+#include "OrxonoxPlatform.h"
 
 //-----------------------------------------------------------------------
Index: code/trunk/src/core/BaseObject.cc
===================================================================
--- code/trunk/src/core/BaseObject.cc	(revision 1061)
+++ code/trunk/src/core/BaseObject.cc	(revision 1062)
@@ -32,8 +32,7 @@
 */
 
+#include "BaseObject.h"
 #include "util/tinyxml/tinyxml.h"
-
-#include "core/CoreIncludes.h"
-#include "BaseObject.h"
+#include "CoreIncludes.h"
 #include "XMLPort.h"
 #include "Level.h"
Index: code/trunk/src/core/BaseObject.h
===================================================================
--- code/trunk/src/core/BaseObject.h	(revision 1061)
+++ code/trunk/src/core/BaseObject.h	(revision 1062)
@@ -38,6 +38,6 @@
 
 #include "CorePrereqs.h"
+
 #include "util/XMLIncludes.h"
-
 #include "OrxonoxClass.h"
 
Index: code/trunk/src/core/ClassFactory.h
===================================================================
--- code/trunk/src/core/ClassFactory.h	(revision 1061)
+++ code/trunk/src/core/ClassFactory.h	(revision 1062)
@@ -37,7 +37,7 @@
 #define _ClassFactory_H__
 
+#include "CorePrereqs.h"
+
 #include <string>
-
-#include "CorePrereqs.h"
 
 #include "Factory.h"
Index: code/trunk/src/core/ClassManager.h
===================================================================
--- code/trunk/src/core/ClassManager.h	(revision 1061)
+++ code/trunk/src/core/ClassManager.h	(revision 1062)
@@ -43,10 +43,10 @@
 #define _ClassManager_H__
 
+#include "CorePrereqs.h"
+
 #include <string>
 
 #include "Identifier.h"
 #include "IdentifierDistributor.h"
-
-#include "CorePrereqs.h"
 
 namespace orxonox
Index: code/trunk/src/core/ClassTreeMask.h
===================================================================
--- code/trunk/src/core/ClassTreeMask.h	(revision 1061)
+++ code/trunk/src/core/ClassTreeMask.h	(revision 1062)
@@ -71,8 +71,8 @@
 #define _ClassTreeMask_H__
 
+#include "CorePrereqs.h"
+
 #include <list>
 #include <stack>
-
-#include "CorePrereqs.h"
 
 namespace orxonox
Index: code/trunk/src/core/CommandExecutor.h
===================================================================
--- code/trunk/src/core/CommandExecutor.h	(revision 1061)
+++ code/trunk/src/core/CommandExecutor.h	(revision 1062)
@@ -30,4 +30,6 @@
 #define _CommandExecutor_H__
 
+#include "CorePrereqs.h"
+
 #include <string>
 #include <map>
@@ -36,5 +38,4 @@
 #include "util/SubString.h"
 #include "util/MultiTypeMath.h"
-#include "CorePrereqs.h"
 
 #define COMMAND_EXECUTOR_CURSOR "$"
Index: code/trunk/src/core/ConfigFileManager.h
===================================================================
--- code/trunk/src/core/ConfigFileManager.h	(revision 1061)
+++ code/trunk/src/core/ConfigFileManager.h	(revision 1062)
@@ -30,4 +30,6 @@
 #define _ConfigFileManager_H__
 
+#include "CorePrereqs.h"
+
 #include <iostream>
 #include <string>
@@ -36,6 +38,4 @@
 
 #include "util/Math.h"
-
-#include "CorePrereqs.h"
 
 #define DEFAULT_CONFIG_FILE "default.ini"
Index: code/trunk/src/core/ConfigValueContainer.cc
===================================================================
--- code/trunk/src/core/ConfigValueContainer.cc	(revision 1061)
+++ code/trunk/src/core/ConfigValueContainer.cc	(revision 1062)
@@ -32,11 +32,12 @@
 */
 
+#include "ConfigValueContainer.h"
+
 #include <fstream>
 
-#include "ConfigValueContainer.h"
+#include "util/SubString.h"
+#include "util/Convert.h"
 #include "Language.h"
 #include "Identifier.h"
-#include "util/SubString.h"
-#include "util/Convert.h"
 
 #define MAX_VECTOR_INDEX 255 // to avoid up to 4*10^9 vector entries in the config file after accidentally using a wrong argument
Index: code/trunk/src/core/ConfigValueContainer.h
===================================================================
--- code/trunk/src/core/ConfigValueContainer.h	(revision 1061)
+++ code/trunk/src/core/ConfigValueContainer.h	(revision 1062)
@@ -44,8 +44,8 @@
 #define _ConfigValueContainer_H__
 
+#include "CorePrereqs.h"
+
 #include <string>
 #include <vector>
-
-#include "CorePrereqs.h"
 
 #include "util/Math.h"
Index: code/trunk/src/core/ConfigValueIncludes.h
===================================================================
--- code/trunk/src/core/ConfigValueIncludes.h	(revision 1061)
+++ code/trunk/src/core/ConfigValueIncludes.h	(revision 1062)
@@ -34,4 +34,6 @@
 #ifndef _ConfigValueIncludes_H__
 #define _ConfigValueIncludes_H__
+
+#include "CorePrereqs.h"
 
 #include "Identifier.h"
Index: code/trunk/src/core/ConsoleCommand.h
===================================================================
--- code/trunk/src/core/ConsoleCommand.h	(revision 1061)
+++ code/trunk/src/core/ConsoleCommand.h	(revision 1062)
@@ -30,4 +30,6 @@
 #define _ConsoleCommand_H__
 
+#include "CorePrereqs.h"
+
 #include "Executor.h"
 #include "ClassManager.h"
Index: code/trunk/src/core/CoreIncludes.h
===================================================================
--- code/trunk/src/core/CoreIncludes.h	(revision 1061)
+++ code/trunk/src/core/CoreIncludes.h	(revision 1062)
@@ -40,4 +40,6 @@
 #ifndef _CoreIncludes_H__
 #define _CoreIncludes_H__
+
+#include "CorePrereqs.h"
 
 #include "Identifier.h"
Index: code/trunk/src/core/CorePrereqs.h
===================================================================
--- code/trunk/src/core/CorePrereqs.h	(revision 1061)
+++ code/trunk/src/core/CorePrereqs.h	(revision 1062)
@@ -35,7 +35,7 @@
 #define _CorePrereqs_H__
 
+#include "OrxonoxPlatform.h"
+
 #include <string>
-
-#include "OrxonoxPlatform.h"
 
 //-----------------------------------------------------------------------
Index: code/trunk/src/core/CoreSettings.h
===================================================================
--- code/trunk/src/core/CoreSettings.h	(revision 1061)
+++ code/trunk/src/core/CoreSettings.h	(revision 1062)
@@ -38,8 +38,8 @@
 #define _CoreSettings_H__
 
+#include "CorePrereqs.h"
+
 #include "OrxonoxClass.h"
 #include "OutputHandler.h"
-
-#include "CorePrereqs.h"
 
 namespace orxonox
Index: code/trunk/src/core/Debug.h
===================================================================
--- code/trunk/src/core/Debug.h	(revision 1061)
+++ code/trunk/src/core/Debug.h	(revision 1062)
@@ -37,7 +37,7 @@
 #define _Debug_H__
 
+#include "CorePrereqs.h"
+
 #include <stdio.h>
-
-#include "CorePrereqs.h"
 
 #include "OutputHandler.h"
Index: code/trunk/src/core/Error.cc
===================================================================
--- code/trunk/src/core/Error.cc	(revision 1061)
+++ code/trunk/src/core/Error.cc	(revision 1062)
@@ -32,6 +32,6 @@
 */
 
+#include "Error.h"
 #include "Debug.h"
-#include "Error.h"
 
 namespace orxonox
Index: code/trunk/src/core/Error.h
===================================================================
--- code/trunk/src/core/Error.h	(revision 1061)
+++ code/trunk/src/core/Error.h	(revision 1062)
@@ -35,7 +35,7 @@
 #define _Error_H__
 
+#include "CorePrereqs.h"
+
 #include <string>
-
-#include "CorePrereqs.h"
 
 namespace orxonox
Index: code/trunk/src/core/Executor.cc
===================================================================
--- code/trunk/src/core/Executor.cc	(revision 1061)
+++ code/trunk/src/core/Executor.cc	(revision 1062)
@@ -29,6 +29,6 @@
 
 #include "Executor.h"
+#include "util/Math.h"
 #include "Language.h"
-#include "util/Math.h"
 
 namespace orxonox
Index: code/trunk/src/core/Executor.h
===================================================================
--- code/trunk/src/core/Executor.h	(revision 1061)
+++ code/trunk/src/core/Executor.h	(revision 1062)
@@ -32,8 +32,9 @@
 
 #include "CorePrereqs.h"
+
+#include "util/SubString.h"
+#include "util/String.h"
 #include "Functor.h"
 #include "Debug.h"
-#include "util/SubString.h"
-#include "util/String.h"
 
 
Index: code/trunk/src/core/Factory.cc
===================================================================
--- code/trunk/src/core/Factory.cc	(revision 1061)
+++ code/trunk/src/core/Factory.cc	(revision 1062)
@@ -32,8 +32,8 @@
 */
 
+#include "Factory.h"
 #include "Identifier.h"
 #include "Debug.h"
 #include "BaseObject.h"
-#include "Factory.h"
 
 namespace orxonox
Index: code/trunk/src/core/Factory.h
===================================================================
--- code/trunk/src/core/Factory.h	(revision 1061)
+++ code/trunk/src/core/Factory.h	(revision 1062)
@@ -45,8 +45,8 @@
 #define _Factory_H__
 
+#include "CorePrereqs.h"
+
 #include <map>
 #include <string>
-
-#include "CorePrereqs.h"
 
 namespace orxonox
Index: code/trunk/src/core/Functor.h
===================================================================
--- code/trunk/src/core/Functor.h	(revision 1061)
+++ code/trunk/src/core/Functor.h	(revision 1062)
@@ -31,8 +31,8 @@
 #define _Functor_H__
 
+#include "CorePrereqs.h"
+
 #include "util/MultiTypeMath.h"
 #include "Debug.h"
-
-#include "CorePrereqs.h"
 
 #define MAX_FUNCTOR_ARGUMENTS 5
Index: code/trunk/src/core/Identifier.cc
===================================================================
--- code/trunk/src/core/Identifier.cc	(revision 1061)
+++ code/trunk/src/core/Identifier.cc	(revision 1062)
@@ -32,7 +32,8 @@
 */
 
+#include "Identifier.h"
+
 #include <ostream>
 
-#include "Identifier.h"
 #include "Factory.h"
 #include "Executor.h"
Index: code/trunk/src/core/Identifier.h
===================================================================
--- code/trunk/src/core/Identifier.h	(revision 1061)
+++ code/trunk/src/core/Identifier.h	(revision 1062)
@@ -53,10 +53,10 @@
 #define _Identifier_H__
 
+#include "CorePrereqs.h"
+
 #include <set>
 #include <map>
 #include <string>
 #include <utility>
-
-#include "CorePrereqs.h"
 
 #include "ObjectList.h"
Index: code/trunk/src/core/IdentifierDistributor.h
===================================================================
--- code/trunk/src/core/IdentifierDistributor.h	(revision 1061)
+++ code/trunk/src/core/IdentifierDistributor.h	(revision 1062)
@@ -39,7 +39,7 @@
 #define _IdentifierDistributor_H__
 
+#include "CorePrereqs.h"
+
 #include <map>
-
-#include "CorePrereqs.h"
 
 namespace orxonox
Index: code/trunk/src/core/InputBuffer.cc
===================================================================
--- code/trunk/src/core/InputBuffer.cc	(revision 1061)
+++ code/trunk/src/core/InputBuffer.cc	(revision 1062)
@@ -27,9 +27,10 @@
  */
 
+#include "InputBuffer.h"
+
 #include <iostream>
 
-#include "InputBuffer.h"
+#include "util/Clipboard.h"
 #include "InputManager.h"
-#include "util/Clipboard.h"
 
 namespace orxonox
Index: code/trunk/src/core/InputBuffer.h
===================================================================
--- code/trunk/src/core/InputBuffer.h	(revision 1061)
+++ code/trunk/src/core/InputBuffer.h	(revision 1062)
@@ -30,4 +30,6 @@
 #define _InputBuffer_H__
 
+#include "CorePrereqs.h"
+
 #include <string>
 #include <list>
@@ -38,6 +40,4 @@
 #include <OISKeyboard.h>
 #endif
-
-#include "CorePrereqs.h"
 
 namespace orxonox
Index: code/trunk/src/core/InputEventListener.cc
===================================================================
--- code/trunk/src/core/InputEventListener.cc	(revision 1061)
+++ code/trunk/src/core/InputEventListener.cc	(revision 1062)
@@ -32,6 +32,6 @@
  */
 
-#include "core/CoreIncludes.h"
 #include "InputEventListener.h"
+#include "CoreIncludes.h"
 
 namespace orxonox
Index: code/trunk/src/core/InputEventListener.h
===================================================================
--- code/trunk/src/core/InputEventListener.h	(revision 1061)
+++ code/trunk/src/core/InputEventListener.h	(revision 1062)
@@ -37,5 +37,5 @@
 #include "CorePrereqs.h"
 
-#include "core/OrxonoxClass.h"
+#include "OrxonoxClass.h"
 #include "InputEvent.h"
 
Index: code/trunk/src/core/InputHandler.cc
===================================================================
--- code/trunk/src/core/InputHandler.cc	(revision 1061)
+++ code/trunk/src/core/InputHandler.cc	(revision 1062)
@@ -32,9 +32,9 @@
  */
 
+#include "InputHandler.h"
 #include "Debug.h"
 #include "util/Convert.h"
 #include "InputEventListener.h"
 #include "InputEvent.h"
-#include "InputHandler.h"
 
 namespace orxonox
Index: code/trunk/src/core/InputHandler.h
===================================================================
--- code/trunk/src/core/InputHandler.h	(revision 1061)
+++ code/trunk/src/core/InputHandler.h	(revision 1062)
@@ -35,9 +35,9 @@
 #define _InputHandler_H__
 
+#include "CorePrereqs.h"
+
 #include <string>
-
 #include <OIS/OIS.h>
 
-#include "CorePrereqs.h"
 #include "InputEvent.h"
 
Index: code/trunk/src/core/InputManager.cc
===================================================================
--- code/trunk/src/core/InputManager.cc	(revision 1061)
+++ code/trunk/src/core/InputManager.cc	(revision 1062)
@@ -33,9 +33,9 @@
  */
 
-#include "core/CoreIncludes.h"
-#include "core/Debug.h"
+#include "InputManager.h"
+#include "CoreIncludes.h"
+#include "Debug.h"
 #include "InputEventListener.h"
 #include "InputHandler.h"
-#include "InputManager.h"
 
 namespace orxonox
Index: code/trunk/src/core/InputManager.h
===================================================================
--- code/trunk/src/core/InputManager.h	(revision 1061)
+++ code/trunk/src/core/InputManager.h	(revision 1062)
@@ -36,8 +36,9 @@
 #define _InputManager_H__
 
+#include "CorePrereqs.h"
+
 #include <OIS/OIS.h>
 
-#include "CorePrereqs.h"
-#include "core/Tickable.h"
+#include "Tickable.h"
 #include "InputEvent.h"
 
Index: code/trunk/src/core/Language.cc
===================================================================
--- code/trunk/src/core/Language.cc	(revision 1061)
+++ code/trunk/src/core/Language.cc	(revision 1062)
@@ -32,7 +32,8 @@
 */
 
+#include "Language.h"
+
 #include <fstream>
 
-#include "Language.h"
 #include "CoreSettings.h"
 
Index: code/trunk/src/core/Language.h
===================================================================
--- code/trunk/src/core/Language.h	(revision 1061)
+++ code/trunk/src/core/Language.h	(revision 1062)
@@ -46,8 +46,8 @@
 #define _Language_H__
 
+#include "CorePrereqs.h"
+
 #include <map>
 #include <string>
-
-#include "CorePrereqs.h"
 
 
Index: code/trunk/src/core/Level.h
===================================================================
--- code/trunk/src/core/Level.h	(revision 1061)
+++ code/trunk/src/core/Level.h	(revision 1062)
@@ -30,7 +30,8 @@
 #define _Level_H__
 
+#include "CorePrereqs.h"
+
 #include <string>
 
-#include "CorePrereqs.h"
 #include "ClassTreeMask.h"
 
Index: code/trunk/src/core/Loader.h
===================================================================
--- code/trunk/src/core/Loader.h	(revision 1061)
+++ code/trunk/src/core/Loader.h	(revision 1062)
@@ -30,10 +30,10 @@
 #define _Loader_H__
 
+#include "CorePrereqs.h"
+
 #include <vector>
 
 #include "ClassTreeMask.h"
 #include "Level.h"
-
-#include "CorePrereqs.h"
 
 namespace orxonox
Index: code/trunk/src/core/Namespace.cc
===================================================================
--- code/trunk/src/core/Namespace.cc	(revision 1061)
+++ code/trunk/src/core/Namespace.cc	(revision 1062)
@@ -28,8 +28,8 @@
 
 #include "Namespace.h"
+#include "NamespaceNode.h"
 #include "CoreIncludes.h"
 #include "XMLPort.h"
 #include "util/SubString.h"
-#include "NamespaceNode.h"
 
 namespace orxonox
Index: code/trunk/src/core/Namespace.h
===================================================================
--- code/trunk/src/core/Namespace.h	(revision 1061)
+++ code/trunk/src/core/Namespace.h	(revision 1062)
@@ -30,10 +30,10 @@
 #define _Namespace_H__
 
+#include "CorePrereqs.h"
+
 #include <map>
 
+#include "util/XMLIncludes.h"
 #include "BaseObject.h"
-#include "util/XMLIncludes.h"
-
-#include "CorePrereqs.h"
 
 namespace orxonox
Index: code/trunk/src/core/NamespaceNode.h
===================================================================
--- code/trunk/src/core/NamespaceNode.h	(revision 1061)
+++ code/trunk/src/core/NamespaceNode.h	(revision 1062)
@@ -30,9 +30,9 @@
 #define _NamespaceNode_H__
 
+#include "CorePrereqs.h"
+
 #include <map>
 #include <set>
 #include <string>
-
-#include "CorePrereqs.h"
 
 namespace orxonox
Index: code/trunk/src/core/ObjectList.h
===================================================================
--- code/trunk/src/core/ObjectList.h	(revision 1061)
+++ code/trunk/src/core/ObjectList.h	(revision 1062)
@@ -40,4 +40,5 @@
 
 #include "CorePrereqs.h"
+
 #include "Iterator.h"
 #include "ClassManager.h"
Index: code/trunk/src/core/OrxonoxClass.h
===================================================================
--- code/trunk/src/core/OrxonoxClass.h	(revision 1061)
+++ code/trunk/src/core/OrxonoxClass.h	(revision 1062)
@@ -38,8 +38,9 @@
 #define _OrxonoxClass_H__
 
+#include "CorePrereqs.h"
+
 #include <set>
 #include <string>
 
-#include "CorePrereqs.h"
 #include "MetaObjectList.h"
 #include "Iterator.h"
Index: code/trunk/src/core/OutputHandler.cc
===================================================================
--- code/trunk/src/core/OutputHandler.cc	(revision 1061)
+++ code/trunk/src/core/OutputHandler.cc	(revision 1062)
@@ -32,6 +32,6 @@
 */
 
+#include "OutputHandler.h"
 #include "CoreSettings.h"
-#include "OutputHandler.h"
 #include "ConsoleCommand.h"
 
Index: code/trunk/src/core/OutputHandler.h
===================================================================
--- code/trunk/src/core/OutputHandler.h	(revision 1061)
+++ code/trunk/src/core/OutputHandler.h	(revision 1062)
@@ -38,9 +38,9 @@
 #define _OutputHandler_H__
 
+#include "CorePrereqs.h"
+
 #include <iostream>
 #include <fstream>
 #include <string>
-
-#include "CorePrereqs.h"
 
 namespace orxonox
Index: code/trunk/src/core/SignalHandler.cc
===================================================================
--- code/trunk/src/core/SignalHandler.cc	(revision 1061)
+++ code/trunk/src/core/SignalHandler.cc	(revision 1062)
@@ -32,8 +32,9 @@
 */
 
+#include "SignalHandler.h"
+
 #include <assert.h>
 
 #include "Debug.h"
-#include "SignalHandler.h"
 
 SignalHandler * SignalHandler::singletonRef = NULL;
Index: code/trunk/src/core/SignalHandler.h
===================================================================
--- code/trunk/src/core/SignalHandler.h	(revision 1061)
+++ code/trunk/src/core/SignalHandler.h	(revision 1062)
@@ -35,8 +35,8 @@
 #define _SignalHandler_H__
 
+#include "CorePrereqs.h"
+
 #include <list>
 #include <string>
-
-#include "CorePrereqs.h"
 
 typedef int (*SignalCallback)( void * someData );
Index: code/trunk/src/core/Tickable.cc
===================================================================
--- code/trunk/src/core/Tickable.cc	(revision 1061)
+++ code/trunk/src/core/Tickable.cc	(revision 1062)
@@ -27,7 +27,7 @@
  */
 
-#include "core/CoreIncludes.h"
-#include "core/ConsoleCommand.h"
 #include "Tickable.h"
+#include "CoreIncludes.h"
+#include "ConsoleCommand.h"
 
 namespace orxonox
Index: code/trunk/src/core/Tickable.h
===================================================================
--- code/trunk/src/core/Tickable.h	(revision 1061)
+++ code/trunk/src/core/Tickable.h	(revision 1062)
@@ -43,5 +43,6 @@
 
 #include "CorePrereqs.h"
-#include "core/OrxonoxClass.h"
+
+#include "OrxonoxClass.h"
 
 namespace orxonox
Index: code/trunk/src/core/ToLuaBind.h
===================================================================
--- code/trunk/src/core/ToLuaBind.h	(revision 1061)
+++ code/trunk/src/core/ToLuaBind.h	(revision 1062)
@@ -4,4 +4,6 @@
 */
 
+#include "CorePrereqs.h"
+
 /* Exported function */
 TOLUA_API int  tolua_orxonox_open (lua_State* tolua_S);
Index: code/trunk/src/core/XMLPort.h
===================================================================
--- code/trunk/src/core/XMLPort.h	(revision 1061)
+++ code/trunk/src/core/XMLPort.h	(revision 1062)
@@ -29,4 +29,6 @@
 #ifndef _XMLPort_H__
 #define _XMLPort_H__
+
+#include "CorePrereqs.h"
 
 #include "util/XMLIncludes.h"
@@ -37,6 +39,4 @@
 #include "CoreIncludes.h"
 #include "BaseObject.h"
-
-#include "CorePrereqs.h"
 
 
Index: code/trunk/src/network/Client.cc
===================================================================
--- code/trunk/src/network/Client.cc	(revision 1061)
+++ code/trunk/src/network/Client.cc	(revision 1062)
@@ -39,6 +39,6 @@
 //
 
+#include "Client.h"
 #include "core/CoreIncludes.h"
-#include "Client.h"
 
 namespace network
Index: code/trunk/src/network/Client.h
===================================================================
--- code/trunk/src/network/Client.h	(revision 1061)
+++ code/trunk/src/network/Client.h	(revision 1062)
@@ -42,7 +42,7 @@
 #define _Client_H__
 
+#include "NetworkPrereqs.h"
+
 #include <string>
-
-#include "NetworkPrereqs.h"
 
 #include "core/Tickable.h"
Index: code/trunk/src/network/ClientConnection.cc
===================================================================
--- code/trunk/src/network/ClientConnection.cc	(revision 1061)
+++ code/trunk/src/network/ClientConnection.cc	(revision 1062)
@@ -38,4 +38,6 @@
 //
 
+#include "ClientConnection.h"
+
 #include <iostream>
 // boost.thread library for multithreading support
@@ -45,5 +47,4 @@
 #include "util/Sleep.h"
 #include "core/Debug.h"
-#include "ClientConnection.h"
 
 namespace network
Index: code/trunk/src/network/ClientConnection.h
===================================================================
--- code/trunk/src/network/ClientConnection.h	(revision 1061)
+++ code/trunk/src/network/ClientConnection.h	(revision 1062)
@@ -41,8 +41,9 @@
 #define _ClientConnection_H__
 
+#include "NetworkPrereqs.h"
+
 #include <string>
 #include <enet/enet.h>
 
-#include "NetworkPrereqs.h"
 #include "PacketBuffer.h"
 
Index: code/trunk/src/network/ClientInformation.cc
===================================================================
--- code/trunk/src/network/ClientInformation.cc	(revision 1061)
+++ code/trunk/src/network/ClientInformation.cc	(revision 1062)
@@ -39,7 +39,7 @@
 //
 
+#include "ClientInformation.h"
+
 #include <iostream> //debug
-
-#include "ClientInformation.h"
 
 namespace network
Index: code/trunk/src/network/ClientInformation.h
===================================================================
--- code/trunk/src/network/ClientInformation.h	(revision 1061)
+++ code/trunk/src/network/ClientInformation.h	(revision 1062)
@@ -41,7 +41,7 @@
 #define _ClientInformation_H__
 
+#include "NetworkPrereqs.h"
+
 #include <enet/enet.h>
-
-#include "NetworkPrereqs.h"
 
 #define GAMESTATEID_INITIAL -1
Index: code/trunk/src/network/ConnectionManager.h
===================================================================
--- code/trunk/src/network/ConnectionManager.h	(revision 1061)
+++ code/trunk/src/network/ConnectionManager.h	(revision 1062)
@@ -41,4 +41,6 @@
 #define _ConnectionManager_H__
 
+#include "NetworkPrereqs.h"
+
 #include <string>
 #include <map>
@@ -46,5 +48,4 @@
 #include <enet/enet.h>
 
-#include "NetworkPrereqs.h"
 #include "PacketBuffer.h"
 #include "PacketManager.h"
Index: code/trunk/src/network/GameStateClient.cc
===================================================================
--- code/trunk/src/network/GameStateClient.cc	(revision 1061)
+++ code/trunk/src/network/GameStateClient.cc	(revision 1062)
@@ -27,9 +27,10 @@
  */
 
+#include "GameStateClient.h"
+
 #include <zlib.h>
 
 #include "core/CoreIncludes.h"
 #include "Synchronisable.h"
-#include "GameStateClient.h"
 
 namespace network
Index: code/trunk/src/network/GameStateClient.h
===================================================================
--- code/trunk/src/network/GameStateClient.h	(revision 1061)
+++ code/trunk/src/network/GameStateClient.h	(revision 1062)
@@ -42,4 +42,5 @@
 
 #include "NetworkPrereqs.h"
+#include "core/CorePrereqs.h"
 #include "GameStateManager.h"
 
Index: code/trunk/src/network/GameStateManager.cc
===================================================================
--- code/trunk/src/network/GameStateManager.cc	(revision 1061)
+++ code/trunk/src/network/GameStateManager.cc	(revision 1062)
@@ -39,4 +39,6 @@
 //
 
+#include "GameStateManager.h"
+
 #include <utility>
 #include <iostream>
@@ -44,8 +46,6 @@
 
 #include "core/CoreIncludes.h"
-
 #include "ClientInformation.h"
 #include "Synchronisable.h"
-#include "GameStateManager.h"
 
 namespace network
Index: code/trunk/src/network/GameStateManager.h
===================================================================
--- code/trunk/src/network/GameStateManager.h	(revision 1061)
+++ code/trunk/src/network/GameStateManager.h	(revision 1062)
@@ -41,7 +41,8 @@
 #define _GameStateManager_H__
 
+#include "NetworkPrereqs.h"
+
 #include <map>
 
-#include "NetworkPrereqs.h"
 #include "PacketTypes.h"
 
Index: code/trunk/src/network/NetworkFrameListener.h
===================================================================
--- code/trunk/src/network/NetworkFrameListener.h	(revision 1061)
+++ code/trunk/src/network/NetworkFrameListener.h	(revision 1062)
@@ -42,7 +42,8 @@
 #define _NetworkFrameListener_H__
 
+#include "NetworkPrereqs.h"
+
 #include <OgreFrameListener.h>
 
-#include "NetworkPrereqs.h"
 #include "Server.h"
 #include "Client.h"
Index: code/trunk/src/network/NetworkPrereqs.h
===================================================================
--- code/trunk/src/network/NetworkPrereqs.h	(revision 1061)
+++ code/trunk/src/network/NetworkPrereqs.h	(revision 1062)
@@ -35,5 +35,5 @@
 #define _NetworkPrereqs_H__
 
-#include "orxonox/OrxonoxPlatform.h"
+#include "OrxonoxPlatform.h"
 
 //-----------------------------------------------------------------------
Index: code/trunk/src/network/PacketBuffer.cc
===================================================================
--- code/trunk/src/network/PacketBuffer.cc	(revision 1061)
+++ code/trunk/src/network/PacketBuffer.cc	(revision 1062)
@@ -31,4 +31,6 @@
 // Author Oliver Scheuss
 
+#include "PacketBuffer.h"
+
 #include <iostream>
 #include <queue>
@@ -36,6 +38,4 @@
 #include <boost/bind.hpp>
 #include <boost/thread/mutex.hpp>
-
-#include "PacketBuffer.h"
 
 namespace network
Index: code/trunk/src/network/PacketBuffer.h
===================================================================
--- code/trunk/src/network/PacketBuffer.h	(revision 1061)
+++ code/trunk/src/network/PacketBuffer.h	(revision 1062)
@@ -42,7 +42,7 @@
 #define _PacketBuffer_H__
 
+#include "NetworkPrereqs.h"
+
 #include <enet/enet.h>
-
-#include "NetworkPrereqs.h"
 
 namespace network
Index: code/trunk/src/network/PacketDecoder.cc
===================================================================
--- code/trunk/src/network/PacketDecoder.cc	(revision 1061)
+++ code/trunk/src/network/PacketDecoder.cc	(revision 1062)
@@ -35,8 +35,9 @@
 */
 
-#include <iostream>
-
 #include "PacketTypes.h"
 #include "PacketManager.h"
+
+#include <iostream>
+
 #include "core/Debug.h"
 
Index: code/trunk/src/network/PacketGenerator.cc
===================================================================
--- code/trunk/src/network/PacketGenerator.cc	(revision 1061)
+++ code/trunk/src/network/PacketGenerator.cc	(revision 1062)
@@ -35,4 +35,7 @@
 */
 
+#include "PacketManager.h"
+#include "PacketTypes.h"
+
 #include <iostream>
 #include <list>
@@ -40,6 +43,4 @@
 #include <cstring>
 
-#include "PacketTypes.h"
-#include "PacketManager.h"
 
 namespace network
Index: code/trunk/src/network/PacketManager.h
===================================================================
--- code/trunk/src/network/PacketManager.h	(revision 1061)
+++ code/trunk/src/network/PacketManager.h	(revision 1062)
@@ -30,10 +30,10 @@
 #define _PacketManager_H__
 
+#include "NetworkPrereqs.h"
+
 #include <string>
 #include <enet/enet.h>
 
 #include "core/CoreIncludes.h"
-
-#include "NetworkPrereqs.h"
 
 #define CLIENTID_CLIENT -1
Index: code/trunk/src/network/Server.cc
===================================================================
--- code/trunk/src/network/Server.cc	(revision 1061)
+++ code/trunk/src/network/Server.cc	(revision 1062)
@@ -38,4 +38,6 @@
 //
 //
+
+#include "Server.h"
 
 #include <iostream>
@@ -47,5 +49,4 @@
 //#include "NetworkFrameListener.h"
 #include "util/Sleep.h"
-#include "Server.h"
 
 
Index: code/trunk/src/network/Server.h
===================================================================
--- code/trunk/src/network/Server.h	(revision 1061)
+++ code/trunk/src/network/Server.h	(revision 1062)
@@ -42,7 +42,7 @@
 #define _Server_H__
 
+#include "NetworkPrereqs.h"
+
 #include <string>
-
-#include "NetworkPrereqs.h"
 
 #include "core/Tickable.h"
Index: code/trunk/src/network/Synchronisable.cc
===================================================================
--- code/trunk/src/network/Synchronisable.cc	(revision 1061)
+++ code/trunk/src/network/Synchronisable.cc	(revision 1062)
@@ -39,8 +39,9 @@
 //
 
+#include "Synchronisable.h"
+
 #include <string>
 #include <iostream>
 
-#include "Synchronisable.h"
 #include "core/CoreIncludes.h"
 
Index: code/trunk/src/network/Synchronisable.h
===================================================================
--- code/trunk/src/network/Synchronisable.h	(revision 1061)
+++ code/trunk/src/network/Synchronisable.h	(revision 1062)
@@ -41,7 +41,7 @@
 #define _Synchronisable_H__
 
+#include "NetworkPrereqs.h"
+
 #include <list>
-
-#include "NetworkPrereqs.h"
 #include "core/OrxonoxClass.h"
 
Index: code/trunk/src/network/dummyclient3.cc
===================================================================
--- code/trunk/src/network/dummyclient3.cc	(revision 1061)
+++ code/trunk/src/network/dummyclient3.cc	(revision 1062)
@@ -27,4 +27,6 @@
  */
 
+#include "Client.h"
+
 #include <iostream>
 #include <string>
@@ -33,5 +35,4 @@
 #include "PacketManager.h"
 #include "PacketTypes.h"
-#include "Client.h"
 
 using namespace network;
Index: code/trunk/src/network/dummyserver3.cc
===================================================================
--- code/trunk/src/network/dummyserver3.cc	(revision 1061)
+++ code/trunk/src/network/dummyserver3.cc	(revision 1062)
@@ -27,4 +27,6 @@
  */
 
+#include "Server.h"
+
 #include <iostream>
 
@@ -32,5 +34,4 @@
 #include "PacketManager.h"
 #include "PacketTypes.h"
-#include "Server.h"
 
 namespace network
Index: code/trunk/src/orxonox/GraphicsEngine.cc
===================================================================
--- code/trunk/src/orxonox/GraphicsEngine.cc	(revision 1061)
+++ code/trunk/src/orxonox/GraphicsEngine.cc	(revision 1062)
@@ -133,13 +133,13 @@
 
     // create a logManager
-    /*LogManager *logger;
-		if(LogManager::getSingletonPtr() == 0)
-			logger = new LogManager();
-    else
-      logger = LogManager::getSingletonPtr();
+    Ogre::LogManager *logger;
+		if (Ogre::LogManager::getSingletonPtr() == 0)
+			logger = new Ogre::LogManager();
+    else
+      logger = Ogre::LogManager::getSingletonPtr();
     COUT(4) << "*** GraphicsEngine: Ogre LogManager created/assigned" << std::endl;
 
     // create our own log that we can listen to
-    Log *myLog;
+    Ogre::Log *myLog;
     if (this->ogreLogfile_ == "")
       myLog = logger->createLog("ogre.log", true, false, true);
@@ -148,6 +148,6 @@
     COUT(4) << "*** GraphicsEngine: Ogre Log created" << std::endl;
 
-    myLog->setLogDetail(LL_BOREME);
-    myLog->addListener(this);*/
+    myLog->setLogDetail(Ogre::LL_BOREME);
+    myLog->addListener(this);
 
     // Root will detect that we've already created a Log
Index: code/trunk/src/orxonox/Orxonox.cc
===================================================================
--- code/trunk/src/orxonox/Orxonox.cc	(revision 1061)
+++ code/trunk/src/orxonox/Orxonox.cc	(revision 1062)
@@ -448,5 +448,8 @@
       // Iterate through all Tickables and call their tick(dt) function
       for (Iterator<Tickable> it = ObjectList<Tickable>::start(); it; )
-        (it++)->tick((float)evt.timeSinceLastFrame * this->timefactor_);
+      {
+        (it)->tick((float)evt.timeSinceLastFrame * this->timefactor_);
+         it++;
+     }
 
       // don't forget to call _fireFrameStarted in ogre to make sure
Index: code/trunk/src/orxonox/objects/weapon/WeaponStation.h
===================================================================
--- code/trunk/src/orxonox/objects/weapon/WeaponStation.h	(revision 1061)
+++ code/trunk/src/orxonox/objects/weapon/WeaponStation.h	(revision 1062)
@@ -31,7 +31,7 @@
 #define _WeaponStation_H__
 
+#include "OrxonoxPrereqs.h"
+
 #include <OgrePrerequisites.h>
-
-#include "OrxonoxPrereqs.h"
 
 
Index: code/trunk/src/orxonox/tools/Timer.cc
===================================================================
--- code/trunk/src/orxonox/tools/Timer.cc	(revision 1061)
+++ code/trunk/src/orxonox/tools/Timer.cc	(revision 1062)
@@ -28,9 +28,10 @@
 
 #include "OrxonoxStableHeaders.h"
+#include "Timer.h"
+
 #include "core/Executor.h"
 #include "core/CoreIncludes.h"
 #include "core/ConsoleCommand.h"
 #include "core/CommandExecutor.h"
-#include "Timer.h"
 
 namespace orxonox
Index: code/trunk/src/util/ArgReader.cc
===================================================================
--- code/trunk/src/util/ArgReader.cc	(revision 1061)
+++ code/trunk/src/util/ArgReader.cc	(revision 1062)
@@ -32,7 +32,7 @@
  */
 
+#include "ArgReader.h"
+
 #include <iostream>
-
-#include "ArgReader.h"
 
 ArgReader::ArgReader(int argc, char** argv)
Index: code/trunk/src/util/ArgReader.h
===================================================================
--- code/trunk/src/util/ArgReader.h	(revision 1061)
+++ code/trunk/src/util/ArgReader.h	(revision 1062)
@@ -36,7 +36,7 @@
 #define _ArgReader_H__
 
+#include "UtilPrereqs.h"
+
 #include <string>
-
-#include "UtilPrereqs.h"
 
 class _UtilExport ArgReader
Index: code/trunk/src/util/Clipboard.h
===================================================================
--- code/trunk/src/util/Clipboard.h	(revision 1061)
+++ code/trunk/src/util/Clipboard.h	(revision 1062)
@@ -30,7 +30,7 @@
 #define _Clipboard_H__
 
+#include "UtilPrereqs.h"
+
 #include <string>
-
-#include "UtilPrereqs.h"
 
 
Index: code/trunk/src/util/Convert.h
===================================================================
--- code/trunk/src/util/Convert.h	(revision 1061)
+++ code/trunk/src/util/Convert.h	(revision 1062)
@@ -35,8 +35,9 @@
 #define _Convert_H__
 
+#include "UtilPrereqs.h"
+
 #include <string>
 #include <sstream>
 
-#include "UtilPrereqs.h"
 #include "Math.h"
 #include "SubString.h"
Index: code/trunk/src/util/Math.h
===================================================================
--- code/trunk/src/util/Math.h	(revision 1061)
+++ code/trunk/src/util/Math.h	(revision 1062)
@@ -30,7 +30,7 @@
 #define _Util_Math_H__
 
+#include "UtilPrereqs.h"
+
 #include <ostream>
-
-#include "UtilPrereqs.h"
 
 #include <OgreMath.h>
Index: code/trunk/src/util/MultiTypePrimitive.h
===================================================================
--- code/trunk/src/util/MultiTypePrimitive.h	(revision 1061)
+++ code/trunk/src/util/MultiTypePrimitive.h	(revision 1062)
@@ -31,7 +31,7 @@
 #define _MultiTypePrimitive_H__
 
+#include "UtilPrereqs.h"
+
 #include <ostream>
-
-#include "UtilPrereqs.h"
 
 #include "MultiType.h"
Index: code/trunk/src/util/MultiTypeString.h
===================================================================
--- code/trunk/src/util/MultiTypeString.h	(revision 1061)
+++ code/trunk/src/util/MultiTypeString.h	(revision 1062)
@@ -31,7 +31,8 @@
 #define _MultiTypeString_H__
 
+#include "UtilPrereqs.h"
+
 #include <string>
 #include <iostream>
-#include "UtilPrereqs.h"
 
 #include "MultiTypePrimitive.h"
Index: code/trunk/src/util/Sleep.h
===================================================================
--- code/trunk/src/util/Sleep.h	(revision 1061)
+++ code/trunk/src/util/Sleep.h	(revision 1062)
@@ -32,5 +32,5 @@
  */
 
-#include "OrxonoxPlatform.h"
+#include "UtilPrereqs.h"
 
 #if ORXONOX_PLATFORM == ORXONOX_PLATFORM_WIN32
Index: code/trunk/src/util/String.cc
===================================================================
--- code/trunk/src/util/String.cc	(revision 1061)
+++ code/trunk/src/util/String.cc	(revision 1062)
@@ -27,7 +27,8 @@
  */
 
+#include "String.h"
+
 #include <cctype>
 #include <iostream>
-#include "String.h"
 
 /**
Index: code/trunk/src/util/String.h
===================================================================
--- code/trunk/src/util/String.h	(revision 1061)
+++ code/trunk/src/util/String.h	(revision 1062)
@@ -30,8 +30,8 @@
 #define _Util_String_H__
 
+#include "UtilPrereqs.h"
+
 #include <string>
 #include <sstream>
-
-#include "UtilPrereqs.h"
 
 _UtilExport void         strip(std::string* str);
Index: code/trunk/src/util/String2Number.h
===================================================================
--- code/trunk/src/util/String2Number.h	(revision 1061)
+++ code/trunk/src/util/String2Number.h	(revision 1062)
@@ -30,4 +30,6 @@
 #define _String2Number_H__
 
+#include "UtilPrereqs.h"
+
 #include <string>
 #include <sstream>
@@ -35,5 +37,4 @@
 
 #include "core/Debug.h"
-#include "UtilPrereqs.h"
 
 /**
Index: code/trunk/src/util/SubString.h
===================================================================
--- code/trunk/src/util/SubString.h	(revision 1061)
+++ code/trunk/src/util/SubString.h	(revision 1062)
@@ -59,8 +59,8 @@
 #define __SUBSTRING_H__
 
+#include "UtilPrereqs.h"
+
 #include <vector>
 #include <string>
-
-#include "UtilPrereqs.h"
 
 //! A class that can load one string and split it in multipe ones
Index: code/trunk/src/util/UtilPrereqs.h
===================================================================
--- code/trunk/src/util/UtilPrereqs.h	(revision 1061)
+++ code/trunk/src/util/UtilPrereqs.h	(revision 1062)
@@ -35,5 +35,5 @@
 #define _UtilPrereqs_H__
 
-#include "orxonox/OrxonoxPlatform.h"
+#include "OrxonoxPlatform.h"
 
 //-----------------------------------------------------------------------
Index: code/trunk/src/util/XMLIncludes.h
===================================================================
--- code/trunk/src/util/XMLIncludes.h	(revision 1061)
+++ code/trunk/src/util/XMLIncludes.h	(revision 1062)
@@ -26,4 +26,6 @@
  *
  */
+
+#include "UtilPrereqs.h"
 
 //-----------------------------------------------------------------------
